/**************************************************************
 * File: visualizer.h
 * Author: Keith Schwarz (htiek@cs.stanford.edu)
 *
 * A file exporting visualization code for our particular
 * perceptron network.
 */

#ifndef Visualizer_Included
#define Visualizer_Included

#include "vector.h"
using namespace std;

/* Function: SaveVisualization(Vector<double>&, int)
 * Usage: SaveVisualization(perceptron, 5);
 * ------------------------------------------------------
 * Saves a visualization of the specified perceptron (which is
 * assumed to be for the specified number) to disk.
 */
void saveVisualization(Vector<double>& classifier, int index);

#endif
